> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mirurobotics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List users in the workspace, including members who have left or been suspended.

| Scope | Required |
| - | - |
| `users:read` | Yes |


## OpenAPI

````yaml /references/platform-api/2026-11-04.yaml get /users
openapi: 3.0.3
info:
  title: Miru Platform API
  description: The API between Miru and any external client
  version: 2026-11-04.everglades
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  x-release-version: 2026-11-04.everglades
  x-git-commit:
    sha: e1decbb4c54ce8a4bf2f78b8728b2b10654294c9
    url: >-
      https://github.com/mirurobotics/openapi/commit/e1decbb4c54ce8a4bf2f78b8728b2b10654294c9
    message: >-
      feat(platform): add archived and deleted list filters, and tidy
      descriptions (#446)
    author: Ben's Agent
    branch: HEAD
    dirty: false
  x-build:
    built_at: '2026-11-05T23:04:32.018858+00:00'
servers:
  - url: https://api.mirurobotics.com/beta
    description: Miru Platform API
security:
  - ApiKeyAuth: []
paths:
  /users:
    parameters:
      - $ref: '#/components/parameters/MiruVersion'
    get:
      tags:
        - Users
      summary: List
      description: >-
        List users in the workspace, including members who have left or been
        suspended.
      operationId: listUsers
      parameters:
        - $ref: '#/components/parameters/offset'
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/user_order_bys'
        - $ref: '#/components/parameters/user_list_expansions'
        - $ref: '#/components/parameters/user_search_id'
      responses:
        '200':
          description: Successfully listed the users.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserList'
components:
  parameters:
    MiruVersion:
      name: Miru-Version
      in: header
      required: true
      schema:
        type: string
        example: 2026-11-04.everglades
      description: The API version the client was built against.
    offset:
      name: offset
      in: query
      required: false
      description: >-
        The offset of the items to return. An offset of 10 with a limit of 10
        returns items 11-20.
      schema:
        type: integer
        default: 0
        minimum: 0
        example: 0
    limit:
      name: limit
      in: query
      required: false
      description: >-
        The maximum number of items to return. A limit of 15 with an offset of 0
        returns items 1-15.
      schema:
        type: integer
        default: 10
        minimum: 1
        maximum: 100
        example: 10
    user_order_bys:
      name: order_by
      in: query
      required: false
      style: form
      explode: false
      description: >-
        Sort order for the user results. Defaults to first name, then last name,
        ascending.
      schema:
        type: array
        items:
          $ref: '#/components/schemas/UserOrderBy'
        example:
          - created_at:desc
    user_list_expansions:
      name: expand
      in: query
      required: false
      description: Fields to expand on each user in the list.
      x-miru-example-exempt: true
      schema:
        type: array
        items:
          $ref: '#/components/schemas/UserListExpansion'
    user_search_id:
      name: id
      in: query
      required: false
      style: form
      explode: false
      description: The user IDs to filter by.
      schema:
        type: array
        items:
          type: string
        example:
          - usr_123
  schemas:
    UserList:
      title: User List
      allOf:
        - $ref: '#/components/schemas/PaginatedList'
        - type: object
          required:
            - data
          properties:
            data:
              type: array
              items:
                $ref: '#/components/schemas/User'
              description: The list of users.
    UserOrderBy:
      type: string
      enum:
        - id:asc
        - id:desc
        - created_at:desc
        - created_at:asc
        - first_name:asc
        - first_name:desc
        - last_name:asc
        - last_name:desc
      x-enum-varnames:
        - USER_ORDER_BY_ID_ASC
        - USER_ORDER_BY_ID_DESC
        - USER_ORDER_BY_CREATED_AT_DESC
        - USER_ORDER_BY_CREATED_AT_ASC
        - USER_ORDER_BY_FIRST_NAME_ASC
        - USER_ORDER_BY_FIRST_NAME_DESC
        - USER_ORDER_BY_LAST_NAME_ASC
        - USER_ORDER_BY_LAST_NAME_DESC
      default: first_name:asc
    UserListExpansion:
      type: string
      enum:
        - total_count
      x-enum-varnames:
        - USER_LIST_EXPAND_TOTAL_COUNT
    PaginatedList:
      title: Paginated List
      type: object
      required:
        - object
        - limit
        - offset
        - has_more
      properties:
        object:
          type: string
          enum:
            - list
          example: list
          x-stainless-const: true
          description: The object type, which is always `list`.
        total_count:
          type: integer
          format: int64
          description: >-
            The total number of items in the list. By default the total count is
            not returned. The total count must be expanded (using
            expand=total_count) to get the total number of items in the list.
        limit:
          type: integer
          description: >-
            The maximum number of items to return. A limit of 15 with an offset
            of 0 returns items 1-15.
          default: 10
          minimum: 1
          maximum: 100
        offset:
          type: integer
          description: >-
            The offset of the items to return. An offset of 10 with a limit of
            10 returns items 11-20.
          default: 0
          minimum: 0
        has_more:
          type: boolean
          description: >-
            True if there are more items in the list to return. False if there
            are no more items to return.
          example: false
    User:
      title: User
      allOf:
        - $ref: '#/components/schemas/BaseUser'
        - type: object
          required:
            - id
            - status
            - created_at
            - updated_at
          properties:
            id:
              type: string
              example: usr_123
              description: >-
                ID of the user. Attribution fields such as `created_by_id` can
                also hold an API key's or a device's principal ID, which doesn't
                resolve to a user.
            status:
              allOf:
                - $ref: '#/components/schemas/UserStatus'
              description: The user's membership status.
            created_at:
              type: string
              format: date-time
              example: '2021-01-01T00:00:00Z'
              description: Timestamp of when the user was created.
            updated_at:
              type: string
              format: date-time
              example: '2021-01-01T00:00:00Z'
              description: Timestamp of when the user was last updated.
      example:
        object: user
        id: usr_123
        email: jane@example.com
        first_name: Jane
        last_name: Doe
        avatar_url: null
        status: active
        created_at: '2021-01-01T00:00:00Z'
        updated_at: '2021-01-01T00:00:00Z'
    BaseUser:
      title: Base User
      type: object
      required:
        - object
        - email
        - first_name
        - last_name
        - avatar_url
      properties:
        object:
          type: string
          description: The object type, which is always `user`.
          enum:
            - user
          example: user
          x-stainless-const: true
        email:
          type: string
          description: The email address of the user.
          example: jane@example.com
        first_name:
          type: string
          description: The first name of the user.
          example: Jane
        last_name:
          type: string
          description: The last name of the user.
          example: Doe
        avatar_url:
          type: string
          description: The URL of the user's avatar image.
          example: https://example.com/avatar.png
          nullable: true
    UserStatus:
      type: string
      enum:
        - active
        - left
        - suspended
      x-enum-varnames:
        - ACTIVE_USER
        - USER_LEFT
        - SUSPENDED_USER
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: The API key to use for authentication.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.